# Uses of Interface
org.opensaml.saml.saml2.core.Statement

Packages that use Statement
Package
Description
org.opensaml.saml.saml2.assertion
Interfaces and API classes for validating SAML 2 Assertions.
org.opensaml.saml.saml2.assertion.impl
Implementation classes for validating SAML 2 Assertions.
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.xacml.profile.saml
XMLObject interfaces for SAML XACML profile.
org.opensaml.xacml.profile.saml.impl
XMLObject implementation classes for XACML SAML profile.

## Uses of Statement in org.opensaml.saml.saml2.assertion

Methods in org.opensaml.saml.saml2.assertion with parameters of type Statement
Modifier and Type
Method
Description
`ValidationResult`
StatementValidator.`validate(Statement statement, Assertion assertion, ValidationContext context)`
Validates the given statement.

## Uses of Statement in org.opensaml.saml.saml2.assertion.impl

Methods in org.opensaml.saml.saml2.assertion.impl with parameters of type Statement
Modifier and Type
Method
Description
`ValidationResult`
AuthnStatementValidator.`validate(Statement statement, Assertion assertion, ValidationContext context)`
Validates the given statement.

## Uses of Statement in org.opensaml.saml.saml2.core

Subinterfaces of Statement in org.opensaml.saml.saml2.core
Modifier and Type
Interface
Description
`interface`
`AttributeStatement`
SAML 2.0 Core AttributeStatement.
`interface`
`AuthnStatement`
SAML 2.0 Core AuthnStatement.
`interface`
`AuthzDecisionStatement`
SAML 2.0 Core AuthzDecisionStatement.
Methods in org.opensaml.saml.saml2.core that return types with arguments of type Statement
Modifier and Type
Method
Description
`List<Statement>`
Assertion.`getStatements()`
Gets the list of statements attached to this assertion.
`List<Statement>`
Assertion.`getStatements(QName typeOrName)`
Gets the list of statements attached to this assertion that match a particular QName.

## Uses of Statement in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement Statement
Modifier and Type
Class
Description
`class`
`AttributeStatementImpl`
A concrete implementation of `AttributeStatement`.
`class`
`AuthnStatementImpl`
A concrete implementation of `AuthnStatement`.
`class`
`AuthzDecisionStatementImpl`
A concrete implementation of `AuthzDecisionStatement`.
`class`
`StatementXSAnyAdapter`
Component that adapts an instance of `XSAny` to the interface `Statement`.
Fields in org.opensaml.saml.saml2.core.impl with type parameters of type Statement
Modifier and Type
Field
Description
`private final IndexedXMLObjectChildrenList<Statement>`
AssertionImpl.`statements`
Statements of the assertion.
Methods in org.opensaml.saml.saml2.core.impl that return types with arguments of type Statement
Modifier and Type
Method
Description
`List<Statement>`
AssertionImpl.`getStatements()`
Gets the list of statements attached to this assertion.
`List<Statement>`
AssertionImpl.`getStatements(QName typeOrName)`
Gets the list of statements attached to this assertion that match a particular QName.

## Uses of Statement in org.opensaml.xacml.profile.saml

Subinterfaces of Statement in org.opensaml.xacml.profile.saml
Modifier and Type
Interface
Description
`interface`
`XACMLAuthzDecisionStatementType`
A SAML XACML profile XACMLAuthzDecisionStatement schema type.
`interface`
`XACMLPolicyStatementType`
A SAML XACML profile XACMLPolicyStatement schema type.

## Uses of Statement in org.opensaml.xacml.profile.saml.impl

Classes in org.opensaml.xacml.profile.saml.impl that implement Statement
Modifier and Type
Class
Description
`class`
`XACMLAuthzDecisionStatementTypeImpl`
A concrete implementation of `XACMLAuthzDecisionStatementType`.
`class`
`XACMLPolicyStatementTypeImpl`
Concrete implementation of `XACMLPolicyStatementType`.